CLOJUREC(1)

NAME
clojurec - Clojure compiler

SYNOPSIS
clojurec [-d destination-directory] [-W/-Wreflect] [-cp/-classpath classpath] lib1 [lib2 ...]

DESCRIPTION
This manual page documents briefly the clojurec command.

clojurec compiles libs and generates class files stored within the directory named by the -d option, or . if not specified. Arguments are strings naming the libs to be compiled. Note that libs are specified in dotted notation and are loaded from a classpath, for example my.lib refers to a file my/lib.clj contained within a classpath.

OPTIONS
A summary of options is included below.

-d destination-directory
    Specifies the destination directory for compiled class files.

-W, -Wreflect
    Causes the compiler to emit warnings when reflection is needed to resolve Java method calls or field accesses.

-cp classpath, -classpath classpath
    Specifies additional classpath elements. This option overrides the $CLASSPATH environment variable.

ENVIRONMENT
A listing of recognised environment variables is included below.

CLASSPATH
    Specifies additional classpath elements.

SEE ALSO
clojure(1).

AUTHOR
clojurec is a wrapper script around a Java implementation by Rich Hickey <richhickey@gmail.com>. The wrapper script was written by Peter Collingbourne <peter@pcc.me.uk>.

This manual page was written by Peter Collingbourne <peter@pcc.me.uk>, for the Debian project (but may be used by others).